﻿using Gsiot.Netmf.Drivers;
using Gsiot.Server;
using Mountaineer.Netmf.Hardware;

// connect an analog input to pin 3 of socket 6,
// e.g., a GHI Potentiometer module

public class VoltageMonitor
{
    public static void Main()
    {
        var voltageSensor = new AnalogSensor
        {
            Channel = Socket6.AnalogInput3,
            MinValue = 0.0,
            MaxValue = 3.3
        };

        var webServer = new HttpServer
        {
            RelayDomain = "<insert your relay domain here>",
            RelaySecretKey = "<insert your secret key here>",
            RequestRouting =
            {
                {
                    "GET /voltage/actual",
                    new MeasuredVariable
                    {
                        FromSensor = voltageSensor.HandleGet
                    }.HandleRequest
                }
            }
        };

        webServer.Run();
    }
}
